{add_js file='components/troubles/js/bootstrap.min.js'}
{add_css file='components/troubles/css/bootstrap.css'}
{add_js file='components/troubles/js/troubles.js'}
<link rel="stylesheet" href="http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.css" />
<!--[if lte IE 8]>
<link rel="stylesheet" href="http://cdn.leafletjs.com/leaflet-0.7.7/leaflet.ie.css" />
<![endif]-->
<script src="http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.js"></script>
<link href="/components/troubles/css/css.css" rel="stylesheet" type="text/css" />
<div class="trouble_heading">
    Добавить проблему
</div>

<form class="form-horizontal" role="form" style="width:600px;max-width:100%;" method="post" enctype="multipart/form-data">
    <fieldset>
        <!-- Text input-->
        <div class="control-group">
            <label class="control-label" for="tr_title">Заголовок</label>
            <div class="controls">
                <input value="{$trouble.title|escape:'html'}" id="tr_title" name="tr_title" placeholder="кратко опишите проблему" class="input-xlarge form-control" required="" type="text">
                <p class="help-block">например, "Нужна детская площадка"</p>
            </div>
        </div>

        <!-- Select Basic -->
        <div class="control-group">
            <label class="control-label" for="tr_category">Зона ответственности</label>
            <div class="controls">

                <select name="tr_category" id="tr_category" class="input-xlarge form-control">
                    <option value="0">Выбрать категорию</option>
                    {foreach key=p item=pubcat from=$pubcats}
                        <option value="{$pubcat.id}" {if $trouble.category_id==$pubcat.id}selected="selected"{/if}>
                            {'--'|str_repeat:$pubcat.p} {$pubcat.title}
                        </option>
                    {/foreach}
                </select>

               <p class="help-block">Категория проблемы: социальные службы</p>      
            </div>
        </div>

        <!-- Text input-->
        <div class="control-group">
{if $map_object}
    <h3>Адрес объекта "<a href="/maps/{$map_object.seolink}.html" target="_blank">{$map_object.title|escape:html}</a>"</h3>
    {/if}
            <label class="control-label" for="tr_address">Адрес</label>
            <div class="controls">
                {if $map_object.addresses|@count>1}
                   
                    <select name="tr_addresses" id="tr_addresses" class="input-xlarge form-control">
                        {foreach key=p item=addr from=$map_object.addresses}
                            <option value="{$p}" {if $p==0}selected="selected"{/if}>
                                {$addr.address}
                            </option>
                        {/foreach}
                    </select>                
                    <input required="" value="{$trouble.address|escape:'html'}" id="tr_address" name="tr_address" placeholder="введите адрес проблемы" class="input-xlarge form-control" type="hidden">
                {else}

                    
                    <input required="" value="{$trouble.address|escape:'html'}" id="tr_address" name="tr_address" placeholder="введите адрес проблемы" class="input-xlarge form-control" type="text" {if $map_object && $trouble.address}disabled{/if}>
                    <p class="help-block">{if $map_object && $trouble.address}Адрес нельзя поменять, потому что проблема привязывается к выбранному объекту{else}После ввода адреса он автоматически отобразится на карте{/if}</p>
                {/if}
                <input style="float:left;width:45%;" required="" value="{$trouble.lat}" id="tr_lat" name="tr_lat" placeholder="Широта" class="input-xlarge form-control" type="hidden">
                <input style="float:right;width:45%;" required="" value="{$trouble.lng}" id="tr_lng" name="tr_lng" placeholder="Долгота" class="input-xlarge form-control" type="hidden">
                <div class="clear"></div>
            </div>

            <div id="trouble_point" style="height: 300px;background: none repeat scroll 0 0 #fff;margin: 10px;"></div>                 
        </div>



        <!-- Text input-->
        <div class="control-group">
            <label class="control-label" for="tr_tags">Теги</label>
            <div class="controls">
                <input value="{$trouble.tags|escape:'html'}" id="tr_tags" name="tr_tags" placeholder="введите один или несколько тегов" class="input-xlarge form-control" type="text">
                <p class="help-block">например: двор, уборка, грязно</p>
            </div>
        </div>

        <!-- Textarea -->
        <div class="control-group">
            <label class="control-label" for="tr_content">Описание проблемы</label>
            <div class="controls">                     

                <div class="usr_msg_bbcodebox">{$bb_toolbar}</div>
                {$smilies}
                {$autogrow}
                <div class="cm_editor"><textarea class="ajax_autogrowarea" name="tr_content" id="trouble">{$trouble.content|escape:'html'}</textarea></div>

                <p class="help-block">Постарайтесь как можно подробнее описать проблему.</p>      

            </div>
        </div>

        <!-- Text input-->
        <div class="control-group">
            <label class="control-label" for="tr_user_name">Ваше имя</label>
            <div class="controls">
                <input  value="{$trouble.user_name|escape:'html'}" id="tr_user_name" name="tr_user_name" placeholder="представьтесь, пожалуйста" class="input-xlarge form-control" type="text">
                <p class="help-block">некоторые организации не рассматривают анонимные жалобы, скрыто от всех</p>
            </div>
        </div>

        <!-- Text input-->
        <div class="control-group">
            <label class="control-label" for="tr_phone">Телефон</label>
            <div class="controls">
                <input value="{$trouble.user_phone|escape:'html'}" id="tr_user_phone" name="tr_user_phone" placeholder="ваш телефон - сотовый или стационарный" class="input-xlarge form-control" type="text">
                <p class="help-block">для связи с вами в случае необходимости, скрыто от всех</p>
            </div>
        </div>

        <!-- Text input-->
        <div class="control-group">
            <label class="control-label" for="tr_email">Электронная почта</label>
            <div class="controls">
                <input value="{$trouble.user_email|escape:'html'}" id="tr_user_email" name="tr_user_email" placeholder="ваша@почта.ru" class="input-xlarge form-control" type="text">
                <p class="help-block">для связи с вами в случае необходимости, скрыто от всех</p>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="tr_email">Ссылка на видео (youtube)</label>
            <div class="controls">
                <input value="{$trouble.video|escape:'html'}" id="tr_user_email" name="tr_video" placeholder="" class="input-xlarge form-control" type="text">
                <p class="help-block">в формате "http://www.youtube.com/watch?v=123456"</p>
            </div>
        </div>


                
{if $trouble.photos}
        <div class="uploaded_photos_block control-group" style="margin-bottom:20px">
            <label class="control-label" for="desc">Загруженные фото</label>
            <div class="controls">
    {foreach key=id item=photo from=$trouble.photos}                   
        <div class="uploaded_photos">
              <img style="padding-bottom:10px;padding-top:10px;max-width:400px" src="{$photo.img}" alt="{$trouble.title}" >
              <span onclick="troubles.killPhoto({$trouble.id},this);return false;" class="btn btn-danger btn-xs"><i class="icon-plus"></i> Удалить фото</span>
        </div>
          {/foreach}
            </div>
        </div>
{/if}                 
        <div class="control-group" style="margin-bottom:20px">
            <label class="control-label" for="desc">Загрузить фото:</label>
            <div class="controls" id="photoblock">
                <input type="file" name="troubleimg[]">
            </div>

            <a class="controls btn btn-info " id="add_troubleimg" href="#" onclick='$("#photoblock").append("<input type=\"file\" name=\"troubleimg[]\">");
                            return false;' >Добавить еще фото</a>
        </div>


        <div class="control-group pull-right">
            <label class="control-label" for="button1id"></label>
            <div class="controls">
                <button id="button1id" name="edit_trouble" class="btn btn-success  btn-lg"><i class="icon-plus"></i> Записать проблему</button>
                <a id="button2id" href="/troubles/{$trouble.seolink}.html" class="btn btn-danger btn-lg">Отмена</a>
            </div>
        </div>
{if $map_object && $trouble.address}
    <input value="{$map_object.item_id}" id="tr_map_object_id" name="tr_map_object_id" placeholder="" class="input-xlarge form-control" type="hidden">

{/if}
    <input value="{$trouble.id}" id="tr_id" name="tr_id" placeholder="" class="input-xlarge form-control" type="hidden">

    </fieldset>
</form>


{if $provider=='yandex_map' 
|| $provider=='yandex_publicMap'
|| $provider=='yandex_satellite'
|| $provider=='yandex_hybrid'
|| $provider=='yandex_publicMapHybrid'
}
<script src="http://api-maps.yandex.ru/2.0/?load=package.full&lang=ru-RU"  type="text/javascript"></script>
<script type="text/javascript" src="/components/troubles/js/yandex.js"></script>                
<script type="text/javascript">
                        var type = "{$provider}";
                        type = type.substring(7);
                        var map = L.map('trouble_point').setView([{$trouble.lat}, {$trouble.lng}], 16);
                        var Yandex = new L.Yandex(type);
                        /*,{ ldelim}traffic:true{ rdelim}*/
                        map.addLayer(Yandex);
</script>
{elseif $provider=='2gis'}
    <script src="http://maps.api.2gis.ru/1.0"></script>
    <script type="text/javascript" src="/components/troubles/js/dgis.js"></script>                
    <script type="text/javascript">
                        var map = L.map('trouble_point').setView([{$trouble.lat}, {$trouble.lng}], 16);
                        var dgis = new L.DGis();
                        map.addLayer(dgis);
    </script>
    {elseif $provider=='osm'}
        <script language="JavaScript" type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
        <script type="text/javascript">
            var map = L.map('trouble_point').setView([{$trouble.lat}, {$trouble.lng}], 16);
            L.tileLayer('http://{ldelim}s{rdelim}.tile.osm.org/{ldelim}z{rdelim}/{ldelim}x{rdelim}/{ldelim}y{rdelim}.png', {ldelim}
                attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
            {rdelim}).addTo(map);
        </script>
        {elseif $provider=='google'}
            <script language="JavaScript" type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
            <script type="text/javascript" src="/components/troubles/js/google.js"></script>                
            <script type="text/javascript">
                var map = L.map('trouble_point').setView([{$trouble.lat}, {$trouble.lng}], 16);
                var ggl = new L.Google("ROADMAP");
                map.addLayer(ggl);
            </script>
            {/if}
                <script type="text/javascript">
                    title = 'Место проблемы';
//                var myIcon = L.icon({ldelim}iconAnchor: [16, 37],iconUrl: '/components/troubles/images/markers/{if $trouble.marker}{$trouble.marker}{else}2-default.png{/if}'{rdelim});
                    
var myIcon = L.icon({ldelim}iconSize: [32, 37],shadowSize: [32, 37],shadowAnchor: [16, 37],iconAnchor: [16, 37],iconUrl: '/components/troubles/images/markers/{if $trouble.marker}{$trouble.marker}{else}default.png{/if}'{rdelim});                    
                    var marker = L.marker([{$trouble.lat}, {$trouble.lng}], {ldelim}title: title,icon: myIcon, draggable: {if $map_object && $trouble.address}false{else}true{/if}{rdelim});
                    marker.addTo(map)
                            .on('dragend', function(e) {ldelim}
                        obj = e.target.getLatLng();
                        $('#tr_lat').val(obj.lat);
                        $('#tr_lng').val(obj.lng);
                        map.panTo([obj.lat, obj.lng],{ldelim}animate: true{rdelim});
                    {rdelim});
{if $map_object && $trouble.address}
{else}                        
                    map.on('dblclick', function(e) {ldelim}
                        obj = e.latlng;
                        $('#tr_lat').val(obj.lat);
                        $('#tr_lng').val(obj.lng);
                        map.panTo([obj.lat, obj.lng],{ldelim}animate: true{rdelim});
                        marker.setLatLng([obj.lat, obj.lng]);
                        marker.update();
                    {rdelim});
{/if}
                </script>  
               

                    
                    <script src="http://api-maps.yandex.ru/2.0/?load=package.full&lang=ru-RU"  type="text/javascript"></script>
                    <script type="text/javascript">
    $(document).ready(function() {ldelim}
{if $map_object && $trouble.address}
    var addressPoints = [
{foreach key=p item=addr from=$map_object.addresses}
    {if $p!=0},{/if}[{$addr.lat}, {$addr.lng},"{$addr.address}"]
{/foreach}
    ];
    
                            $('#tr_addresses').change(function() {ldelim}
                                    var val = $("#tr_addresses option:selected").val();
                                    var position = new Array(2);
                                    position[0] = addressPoints[val][0];
                                    position[1] = addressPoints[val][1];
                                    $('#tr_address').val(addressPoints[val][2]);
                                    $('#tr_lat').val(position[0]);
                                    $('#tr_lng').val(position[1]);
                                    map.panTo([position[0], position[1]], {ldelim}animate: true{rdelim});
                                    marker.setLatLng([position[0], position[1]]);
                                    marker.update();
                            {rdelim});     
{else}      
                            $('#tr_address').focusout(function() {ldelim}
                                var query = $('#tr_address').val();
                                ymaps.geocode(query, {ldelim}results: 1{rdelim}).then(function(res) {ldelim}
                                    var firstGeoObject = res.geoObjects.get(0);
                                    var position = firstGeoObject.geometry.getCoordinates();
                                    $('#tr_lat').val(position[0]);
                                    $('#tr_lng').val(position[1]);
                                    map.panTo([position[0], position[1]], {ldelim}animate: true{rdelim});
                                    marker.setLatLng([position[0], position[1]]);
                                    marker.update();
                                {rdelim}, function(err) {ldelim}
                                    alert('Не удалось определить города ' + bbcity);
                                    $('#detect_btn').attr('disabled', '').val('Найти координаты');
                                    $('#bb_parsing_progress').hide();
                                {rdelim})

                            {rdelim});
{/if}                                
                             
                           
                            
                            

                        {rdelim});

                    </script>

