{add_js file='components/troubles/js/bootstrap.min.js'}
{add_js file='components/troubles/js/troubles.js'}
{add_css file='components/troubles/css/bootstrap.css'}

<link rel="stylesheet" href="http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.css" />
<!--[if lte IE 8]>
<link rel="stylesheet" href="http://cdn.leafletjs.com/leaflet-0.7.7/leaflet.ie.css" />
<![endif]-->
<script src="http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.js"></script>

<script src="/components/troubles/js/leaflet.markercluster.js"></script>
<link href="/components/troubles/css/css.css" rel="stylesheet" type="text/css" />


<div style="float:left"><h1 class="trouble_heading">Проблемы и решения
    {if $tag}<span class="small label label-danger">Тег: {$tag}</span>{/if}
{if $cat}<span class="small label label-danger">Рубрика: {$cat}</span>{/if}
</h1></div>

{if $user_id || $cfg.guest_enabled}
    <a href="/troubles/add" class="btn btn-warning btn-lg pull-right"><i class="icon-plus"></i> Новая проблема!</a>
{/if}

<div class="clear"></div>

<div id="trouble_point" style="height: 400px;background: none repeat scroll 0 0 #fff;margin: 10px;"></div>
    {if $tag}<h3>Тег: {$tag}</h3>{/if}
{if $cat}<h3>Рубрика: {$cat}</h3>{/if}


<div class="tr_buttonsblok">
    <span>Фильтр:</span> <span onclick="troubles.getCats();" class="btn btn-primary">По категориям</span><span onclick="troubles.getTags();" class="btn btn-primary">По тегам</span>

{if $tag or $cat}    
        <span id="button_solved" class="btn {if $type=='solved'}btn-success{else}btn-noactive{/if} pull-right" onclick="troubles.getByStatus(this,{if $tag}'tag'{else}'cat'{/if},'{$tagorcat}','solved');">Решенные</span>
        <span id="button_actual" class="btn {if $type=='actual'}btn-success{else}btn-noactive{/if} pull-right" onclick="troubles.getByStatus(this,{if $tag}'tag'{else}'cat'{/if},'{$tagorcat}','actual');">Актуальные</span>
        <span id="button_all" class="btn {if $type=='all'}btn-success{else}btn-noactive{/if} pull-right" onclick="troubles.getByStatus(this, {if $tag}'tag'{else}'cat'{/if},'{$tagorcat}','all');">Все</span>
    {else}
        <a {if $type!='solved'}href="/troubles/solved"{/if} id="button_solved" class="btn {if $type=='solved'}btn-success{else}btn-noactive{/if} pull-right" onclick="">Решенные</a>
        <a {if $type!='actual'}href="/troubles/actual"{/if} id="button_actual" class="btn {if $type=='actual'}btn-success{else}btn-noactive{/if} pull-right">Актуальные</a>
        <a {if $type!='all'}href="/troubles/all"{/if} id="button_all" class="btn {if $type=='all'}btn-success{else}btn-noactive{/if} pull-right">Все</a>
    {/if}
</div>
<div class="ajax_cats" style="display:none;"></div>
<div class="ajax_tags" style="display:none;"></div>
<hr />
<div class="row troubles">
{if $troubles|@count}    
    {foreach key=id item=trouble from=$troubles}    
        <div class="col-md-12 trouble_list">
            <h3><a href="/troubles/{$trouble.seolink}.html">{$trouble.title}</a>
                {if $trouble.forwho}
                    <span class="label label-default pull-right"> {$trouble.forwho}</span>                            
                {/if}
                {if $trouble.status!=1}
                    <span class="label label-success">проблема актуальна</span>
                {/if}
            </h3>
            <p>{$trouble.content|truncate:300}...</p>
            <div style="margin-bottom: 30px;">
                <p class="clearfix pull-left">
                    <span class="tr_sp"><i class="icon-calendar"></i> {$trouble.fpubdate}</span>
                    |  <a  class="tr_sp" href="/troubles/{$trouble.catseolink}"><i class="icon-forward"></i> {$trouble.cat_title}</a>  
                    |  <span class="tr_comments"><i class="icon-comment"></i> {$trouble.comments}</span>  
                    |  <span class="tr_plus" ><i class="icon-thumbs-up"></i> {$trouble.rates.pluscount}</span>  
                    |  <span class="tr_minus"><i class="icon-thumbs-down"></i> {$trouble.rates.minuscount}</span>
                    | <a  class="tr_sp" href="/users/{$trouble.user_login}"><i class="icon-male"></i> {$trouble.author}</a> {if $trouble.tags}<br /> <i class="icon-tags"></i>Теги:{/if} 
                    {foreach key=idd item=tag from=$trouble.tags}    
                        <a href="/troubles/tag/{$tag.tag}"><span class="label label-info">{$tag.tag}</span></a> 
                        {/foreach}               
                    {if $trouble.map_object}
                        <br />
                        Проблема привязана к объекту <a class="label label-warning" target="_blank" href="/maps/{$trouble.map_object.seolink}.html">{$trouble.map_object.title}</a>
                    {/if}
                </p>
                <a href="/troubles/{$trouble.seolink}.html" class="btn btn-primary pull-right"><i class="icon-share-alt"></i> Подробнее</a>
            </div>
            <br />
            <div class="clear"></div>
            <hr>
        </div>
    {/foreach}
{$pagebar}
{else}
        <h3>Проблем не найдено</h3>
        <span>Попробуйте изменить фильтр по статусам - вывести <span class="btn btn-warning btn-xs" onclick="$('#button_all').click();">Все</span> "проблемы"</span>
    {/if}    
    
</div>    

{if $provider=='yandex_map' 
|| $provider=='yandex_publicMap'
|| $provider=='yandex_satellite'
|| $provider=='yandex_hybrid'
|| $provider=='yandex_publicMapHybrid'
}
    <script src="http://api-maps.yandex.ru/2.0/?load=package.full&lang=ru-RU"  type="text/javascript"></script>
    <script type="text/javascript" src="/components/troubles/js/yandex.js"></script>                
    <script type="text/javascript">
        var type = "{$provider}";
        type = type.substring(7);
        var map = L.map('trouble_point').setView([{$cfg.lat}, {$cfg.lng}], {$cfg.zoom});
        var Yandex = new L.Yandex(type);
        map.addLayer(Yandex);
    </script>
{elseif $provider=='2gis'}
    <script src="http://maps.api.2gis.ru/1.0"></script>
    <script type="text/javascript" src="/components/troubles/js/dgis.js"></script>                
    <script type="text/javascript">
        var map = L.map('trouble_point').setView([{$cfg.lat}, {$cfg.lng}], {$cfg.zoom});
        var dgis = new L.DGis();
        map.addLayer(dgis);
    </script>
{elseif $provider=='osm'}
    <script language="JavaScript" type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
    <script type="text/javascript">
        var map = L.map('trouble_point').setView([{$cfg.lat}, {$cfg.lng}], {$cfg.zoom});
        L.tileLayer('http://{ldelim}s{rdelim}.tile.osm.org/{ldelim}z{rdelim}/{ldelim}x{rdelim}/{ldelim}y{rdelim}.png', {ldelim}
            attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
        {rdelim}).addTo(map);
    </script>
{elseif $provider=='google'}
    <script language="JavaScript" type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
    <script type="text/javascript" src="/components/troubles/js/google.js"></script>                
    <script type="text/javascript">
        var map = L.map('trouble_point').setView([{$cfg.lat}, {$cfg.lng}], {$cfg.zoom});
        var ggl = new L.Google("ROADMAP");
        map.addLayer(ggl);
    </script>
{/if}

{$trouble.title|escape:'quotes'}
<script type="text/javascript">
    var markers = L.markerClusterGroup({ldelim}animateAddingMarkers: true{rdelim});
    {foreach key=id item=trouble from=$troubles}

        title = '<div style="max-width:400px;"><a href="/troubles/{$trouble.seolink}.html"><h3>{$trouble.title|escape:'html'}</h3></a>{$trouble.content|escape:'html'|truncate:300}'+
            '<br /><br /><span style="margin-bottom:20px;">Автор: <a href="/users/{$trouble.user_login}">{$trouble.author}</a> Рубрика: <a  class="tr_sp" href="/troubles/{$trouble.catseolink}"> {$trouble.cat_title}</a></span><br /></div>';
        descr = "{$trouble.title|replace:'"':'\"'}";
        {if $provider=='2gis'}
            var myIcon = L.icon({ldelim}iconSize: [32, 37],shadowSize: [32, 37],shadowAnchor: [16, 37],iconAnchor: [16, 37],iconUrl: '/components/troubles/images/markers/{if $trouble.marker}{$trouble.marker}{else}2-default.png{/if}'{rdelim});
            L.marker([{$trouble.lat}, {$trouble.lng}], {ldelim}title:descr,draggable:false,icon: myIcon{rdelim}).addTo(map)
            .bindPopup(title);
        {else}
            var myIcon = L.icon({ldelim}iconSize: [32, 37],shadowSize: [32, 37],shadowAnchor: [16, 37],iconAnchor: [16, 37],iconUrl: '/components/troubles/images/markers/{if $trouble.marker}{$trouble.marker}{else}2-default.png{/if}'{rdelim});

            var m = L.marker([{$trouble.lat}, {$trouble.lng}], {ldelim}title: descr,draggable:false,icon: myIcon{rdelim});
            m.bindPopup(title);
m.openPopup();
            markers.addLayer(m);
        {/if}

    {/foreach}
    map.addLayer(markers,true);

</script>
